/*
 * com/ngon/tap/TapEvent.java
 * Victor Liu > mailto:victor@n-gon.com
 *
 * Copyright (C) 2004 Victor Liu
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version. 
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package com.ngon.tap;

/**
 * class TapEvent
 */
class TapEvent extends Tap {
    final static String EVENT_ADD      = "A";
    final static String EVENT_CHANGE   = "C";
    final static String EVENT_DROP     = "D";
    
    String actionCode;
    
    TapEvent(Clus clus, String actionCode) {
        super(clus);
        this.actionCode = actionCode;
    }
}
